Index: /home/mmg/Documents/Projects/musescore/mscore/mscore/mscore/lyrics.cpp
===================================================================
--- /home/mmg/Documents/Projects/musescore/mscore/mscore/mscore/lyrics.cpp	(revision 4257)
+++ /home/mmg/Documents/Projects/musescore/mscore/mscore/mscore/lyrics.cpp	(working copy)
@@ -107,6 +107,8 @@
 
 void Lyrics::read(QDomElement e)
       {
+      int   iEndTick = 0;           // used for backward compatibility
+
       for (e = e.firstChildElement(); !e.isNull(); e = e.nextSiblingElement()) {
             QString tag(e.tagName());
             QString val(e.text());
@@ -126,8 +128,9 @@
                         printf("bad syllabic property\n");
                   }
             else if (tag == "endTick") {          // obsolete
-                  _ticks = i - score()->curTick;
-                  printf("Lyrics::endTick: %d  ticks %d\n", i, _ticks);
+                  // store <endTick> tag value until a <ticks> tag has been read
+                  // which positions this lyrics element in the score
+                  iEndTick = i;
                   }
             else if (tag == "ticks")
                   _ticks = i;
@@ -139,6 +142,11 @@
             else if (!Text::readProperties(e))
                   domError(e);
             }
+      // if any endTick, make it relative to current tick
+      if(iEndTick) {
+            _ticks = iEndTick - score()->curTick;
+            printf("Lyrics::endTick: %d  ticks %d\n", iEndTick, _ticks);
+            }
       }

